#ifndef _SIGNALS_HPP_
#define _SIGNALS_HPP_

#include "syselmts.hpp"

#pragma once
class Pin;

class Signal : public SystemElementContainer<Pin>
{
public:
    Signal(std::string name);
};

class Signals : public SystemElementContainer<Signal>
{
public:
    Signals(void);
    Signals(std::vector<Signal *> signals);
    ~Signals();
};

#endif // _SIGNALS_HPP_